# Defines security jobs associated with the security:backport-merge pipeline
.if-security-release-backport-merge: &if-security-release-backport-merge
  if: '($CI_PIPELINE_SOURCE == "pipeline" || $CI_PIPELINE_SOURCE == "web" || $CI_PIPELINE_SOURCE == "api") && ($SECURITY_RELEASE_PIPELINE == "backport_merge" || $SECURITY_RELEASE_PIPELINE == "true")'

.security-release-backport-merge-base:
  extends: .with-bundle
  stage: security_release:backport_merge
  needs: ['security_release_backport_merge:start']
  rules:
    - <<: *if-security-release-backport-merge

security_release_backport_merge:start:
  extends: .with-bundle
  stage: security_release:backport_merge:start
  rules:
    - <<: *if-security-release-backport-merge
  when: manual
  script:
    - bundle exec rake 'security:backport_merge:start'

security_release_backport_merge:merge:
  extends: .security-release-backport-merge-base
  script:
    - bundle exec rake 'security:merge'
